> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# google-classroom-people

> Google Classroom People — students, teachers, invitations, and guardians

**Server path:** `/google-classroom-people` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                        | Description                                                                                                                          |
| ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| [`google-classroom-people_accept_invitation`](#google-classroom-people_accept_invitation)                   | Accepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course. |
| [`google-classroom-people_create_guardian_invitation`](#google-classroom-people_create_guardian_invitation) | Creates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student's guardian.       |
| [`google-classroom-people_create_invitation`](#google-classroom-people_create_invitation)                   | Creates an invitation.                                                                                                               |
| [`google-classroom-people_create_student`](#google-classroom-people_create_student)                         | Adds a user as a student of a course.                                                                                                |
| [`google-classroom-people_create_teacher`](#google-classroom-people_create_teacher)                         | Creates a teacher of a course.                                                                                                       |
| [`google-classroom-people_delete_guardian`](#google-classroom-people_delete_guardian)                       | Deletes a guardian.                                                                                                                  |
| [`google-classroom-people_delete_invitation`](#google-classroom-people_delete_invitation)                   | Deletes an invitation.                                                                                                               |
| [`google-classroom-people_delete_student`](#google-classroom-people_delete_student)                         | Deletes a student of a course.                                                                                                       |
| [`google-classroom-people_delete_teacher`](#google-classroom-people_delete_teacher)                         | Removes the specified teacher from the specified course.                                                                             |
| [`google-classroom-people_get_guardian`](#google-classroom-people_get_guardian)                             | Returns a specific guardian.                                                                                                         |
| [`google-classroom-people_get_guardian_invitation`](#google-classroom-people_get_guardian_invitation)       | Returns a specific guardian invitation.                                                                                              |
| [`google-classroom-people_get_invitation`](#google-classroom-people_get_invitation)                         | Returns an invitation.                                                                                                               |
| [`google-classroom-people_get_student`](#google-classroom-people_get_student)                               | Returns a student of a course.                                                                                                       |
| [`google-classroom-people_get_teacher`](#google-classroom-people_get_teacher)                               | Returns a teacher of a course.                                                                                                       |
| [`google-classroom-people_get_user_profile`](#google-classroom-people_get_user_profile)                     | Returns a user profile.                                                                                                              |
| [`google-classroom-people_list_guardian_invitations`](#google-classroom-people_list_guardian_invitations)   | Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided.           |
| [`google-classroom-people_list_guardians`](#google-classroom-people_list_guardians)                         | Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request.               |
| [`google-classroom-people_list_invitations`](#google-classroom-people_list_invitations)                     | Lists invitations. At least one of userId or courseId must be specified; calls with neither will fail.                               |
| [`google-classroom-people_list_students`](#google-classroom-people_list_students)                           | Returns a list of students of this course that the requester is permitted to view.                                                   |
| [`google-classroom-people_list_teachers`](#google-classroom-people_list_teachers)                           | Returns a list of teachers of this course that the requester is permitted to view.                                                   |
| [`google-classroom-people_patch_guardian_invitation`](#google-classroom-people_patch_guardian_invitation)   | Modifies a guardian invitation.                                                                                                      |

***

## google-classroom-people\_accept\_invitation

Accepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course.

**Parameters:**

| Parameter | Type   | Required | Default | Description                             |
| --------- | ------ | -------- | ------- | --------------------------------------- |
| `id`      | string | Yes      | —       | Identifier of the invitation to accept. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Identifier of the invitation to accept."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_create\_guardian\_invitation

Creates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student's guardian.

**Parameters:**

| Parameter             | Type   | Required | Default | Description                                                                                         |
| --------------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------- |
| `studentId`           | string | Yes      | —       | ID of the student (in standard format)                                                              |
| `creationTime`        | string | No       | —       | The time that this invitation was created. Read-only.                                               |
| `invitationId`        | string | No       | —       | Unique identifier for this invitation. Read-only.                                                   |
| `invitedEmailAddress` | string | Yes      | —       | Email address that the invitation was sent to. This field is only visible to domain administrators. |
| `state`               | string | No       | —       | The state that this invitation is in.                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "ID of the student (in standard format)"
      },
      "creationTime": {
        "type": "string",
        "description": "The time that this invitation was created. Read-only."
      },
      "invitationId": {
        "type": "string",
        "description": "Unique identifier for this invitation. Read-only."
      },
      "invitedEmailAddress": {
        "type": "string",
        "description": "Email address that the invitation was sent to. This field is only visible to domain administrators."
      },
      "state": {
        "type": "string",
        "description": "The state that this invitation is in.",
        "enum": [
          "GUARDIAN_INVITATION_STATE_UNSPECIFIED",
          "PENDING",
          "COMPLETE"
        ]
      }
    },
    "required": [
      "PCID",
      "studentId",
      "invitedEmailAddress"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_create\_invitation

Creates an invitation.

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                                                                                                                                          |
| ---------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId` | string | Yes      | —       | Identifier of the course to invite the user to.                                                                                                                                                                                                                      |
| `id`       | string | No       | —       | Identifier assigned by Classroom. Read-only.                                                                                                                                                                                                                         |
| `role`     | string | Yes      | —       | Role to invite the user to have. Must not be `COURSE_ROLE_UNSPECIFIED`.                                                                                                                                                                                              |
| `userId`   | string | Yes      | —       | Identifier of the invited user. When specified as a parameter of a request, this identifier can be set to one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course to invite the user to."
      },
      "id": {
        "type": "string",
        "description": "Identifier assigned by Classroom. Read-only."
      },
      "role": {
        "type": "string",
        "description": "Role to invite the user to have. Must not be `COURSE_ROLE_UNSPECIFIED`.",
        "enum": [
          "COURSE_ROLE_UNSPECIFIED",
          "STUDENT",
          "TEACHER",
          "OWNER"
        ]
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the invited user. When specified as a parameter of a request, this identifier can be set to one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId",
      "role",
      "userId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_create\_student

Adds a user as a student of a course.

**Parameters:**

| Parameter           | Type   | Required | Default | Description                                                                                                                                                                                                                                           |
| ------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId`          | string | Yes      | —       | Identifier of the course to create the student in. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                                       |
| `enrollmentCode`    | string | No       | —       | Enrollment code of the course to create the student in. This code is required if userId corresponds to the requesting user; it may be omitted if the requesting user has administrative permissions to create students for any user.                  |
| `profile`           | object | No       | —       | Global information for a user.                                                                                                                                                                                                                        |
| `studentWorkFolder` | object | No       | —       | Representation of a Google Drive folder.                                                                                                                                                                                                              |
| `userId`            | string | No       | —       | Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course to create the student in. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "enrollmentCode": {
        "type": "string",
        "description": "Enrollment code of the course to create the student in. This code is required if userId corresponds to the requesting user; it may be omitted if the requesting user has administrative permissions to create students for any user."
      },
      "profile": {
        "type": "object",
        "description": "Global information for a user.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Identifier of the user. Read-only."
          },
          "name": {
            "type": "object",
            "description": "Details of the user's name."
          },
          "emailAddress": {
            "type": "string",
            "description": "Email address of the user. Must request `https://www.googleapis.com/auth/classroom.profile.emails` scope for this field to be populated in a response body. Read-only."
          },
          "photoUrl": {
            "type": "string",
            "description": "URL of user's profile photo. Must request `https://www.googleapis.com/auth/classroom.profile.photos` scope for this field to be populated in a response body. Read-only."
          },
          "permissions": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Global permissions of the user. Read-only."
          },
          "verifiedTeacher": {
            "type": "boolean",
            "description": "Represents whether a Google Workspace for Education user's domain administrator has explicitly verified them as being a teacher. This field is always false if the user is not a member of a Google Workspace for Education domain. Read-only"
          }
        }
      },
      "studentWorkFolder": {
        "type": "object",
        "description": "Representation of a Google Drive folder.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Drive API resource ID."
          },
          "title": {
            "type": "string",
            "description": "Title of the Drive folder. Read-only."
          },
          "alternateLink": {
            "type": "string",
            "description": "URL that can be used to access the Drive folder. Read-only."
          }
        }
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_create\_teacher

Creates a teacher of a course.

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                                                                                                                           |
| ---------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId` | string | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                                                                |
| `profile`  | object | No       | —       | Global information for a user.                                                                                                                                                                                                                        |
| `userId`   | string | No       | —       | Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "profile": {
        "type": "object",
        "description": "Global information for a user.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Identifier of the user. Read-only."
          },
          "name": {
            "type": "object",
            "description": "Details of the user's name."
          },
          "emailAddress": {
            "type": "string",
            "description": "Email address of the user. Must request `https://www.googleapis.com/auth/classroom.profile.emails` scope for this field to be populated in a response body. Read-only."
          },
          "photoUrl": {
            "type": "string",
            "description": "URL of user's profile photo. Must request `https://www.googleapis.com/auth/classroom.profile.photos` scope for this field to be populated in a response body. Read-only."
          },
          "permissions": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Global permissions of the user. Read-only."
          },
          "verifiedTeacher": {
            "type": "boolean",
            "description": "Represents whether a Google Workspace for Education user's domain administrator has explicitly verified them as being a teacher. This field is always false if the user is not a member of a Google Workspace for Education domain. Read-only"
          }
        }
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_delete\_guardian

Deletes a guardian.

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                                                                                                                                                             |
| ------------ | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `studentId`  | string | Yes      | —       | The student whose guardian is to be deleted. One of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |
| `guardianId` | string | Yes      | —       | The `id` field from a `Guardian`.                                                                                                                                                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "The student whose guardian is to be deleted. One of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      },
      "guardianId": {
        "type": "string",
        "description": "The `id` field from a `Guardian`."
      }
    },
    "required": [
      "PCID",
      "studentId",
      "guardianId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_delete\_invitation

Deletes an invitation.

**Parameters:**

| Parameter | Type   | Required | Default | Description                             |
| --------- | ------ | -------- | ------- | --------------------------------------- |
| `id`      | string | Yes      | —       | Identifier of the invitation to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Identifier of the invitation to delete."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_delete\_student

Deletes a student of a course.

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                                                                                           |
| ---------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId` | string | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                                |
| `userId`   | string | Yes      | —       | Identifier of the student to delete. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the student to delete. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId",
      "userId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_delete\_teacher

Removes the specified teacher from the specified course.

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                                                                                           |
| ---------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId` | string | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                                |
| `userId`   | string | Yes      | —       | Identifier of the teacher to delete. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the teacher to delete. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId",
      "userId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_get\_guardian

Returns a specific guardian.

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                                                                                                                                                               |
| ------------ | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `studentId`  | string | Yes      | —       | The student whose guardian is being requested. One of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |
| `guardianId` | string | Yes      | —       | The `id` field from a `Guardian`.                                                                                                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "The student whose guardian is being requested. One of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      },
      "guardianId": {
        "type": "string",
        "description": "The `id` field from a `Guardian`."
      }
    },
    "required": [
      "PCID",
      "studentId",
      "guardianId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_get\_guardian\_invitation

Returns a specific guardian invitation.

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                         |
| -------------- | ------ | -------- | ------- | ------------------------------------------------------------------- |
| `studentId`    | string | Yes      | —       | The ID of the student whose guardian invitation is being requested. |
| `invitationId` | string | Yes      | —       | The `id` field of the `GuardianInvitation` being requested.         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "The ID of the student whose guardian invitation is being requested."
      },
      "invitationId": {
        "type": "string",
        "description": "The `id` field of the `GuardianInvitation` being requested."
      }
    },
    "required": [
      "PCID",
      "studentId",
      "invitationId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_get\_invitation

Returns an invitation.

**Parameters:**

| Parameter | Type   | Required | Default | Description                             |
| --------- | ------ | -------- | ------- | --------------------------------------- |
| `id`      | string | Yes      | —       | Identifier of the invitation to return. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Identifier of the invitation to return."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_get\_student

Returns a student of a course.

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                                                                                           |
| ---------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId` | string | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                                |
| `userId`   | string | Yes      | —       | Identifier of the student to return. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the student to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId",
      "userId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_get\_teacher

Returns a teacher of a course.

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                                                                                           |
| ---------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId` | string | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                                |
| `userId`   | string | Yes      | —       | Identifier of the teacher to return. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the teacher to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "courseId",
      "userId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_get\_user\_profile

Returns a user profile.

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                                                                                                                                           |
| --------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `userId`  | string | Yes      | —       | Identifier of the profile to return. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "userId": {
        "type": "string",
        "description": "Identifier of the profile to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      }
    },
    "required": [
      "PCID",
      "userId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_list\_guardian\_invitations

Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided.

**Parameters:**

| Parameter             | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `studentId`           | string    | Yes      | —       | The ID of the student whose guardian invitations are to be returned. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user \* the string literal `"-"`, indicating that results should be returned for all students that the requesting user is permitted to view guardian invitations. |
| `invitedEmailAddress` | string    | No       | —       | If specified, only results with the specified `invited_email_address` are returned.                                                                                                                                                                                                                                                                                                                                |
| `states`              | string\[] | No       | —       | If specified, only results with the specified `state` values are returned. Otherwise, results with a `state` of `PENDING` are returned.                                                                                                                                                                                                                                                                            |
| `pageToken`           | string    | No       | —       | nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.                                                                                                                                                                                                    |
| `pageSize`            | integer   | No       | —       | Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.                                                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "The ID of the student whose guardian invitations are to be returned. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user * the string literal `\"-\"`, indicating that results should be returned for all students that the requesting user is permitted to view guardian invitations."
      },
      "invitedEmailAddress": {
        "type": "string",
        "description": "If specified, only results with the specified `invited_email_address` are returned."
      },
      "states": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "GUARDIAN_INVITATION_STATE_UNSPECIFIED",
            "PENDING",
            "COMPLETE"
          ]
        },
        "description": "If specified, only results with the specified `state` values are returned. Otherwise, results with a `state` of `PENDING` are returned."
      },
      "pageToken": {
        "type": "string",
        "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token."
      },
      "pageSize": {
        "type": "integer",
        "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results."
      }
    },
    "required": [
      "PCID",
      "studentId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_list\_guardians

Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request.

**Parameters:**

| Parameter             | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                         |
| --------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `studentId`           | string  | Yes      | —       | Filter results by the student who the guardian is linked to. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user \* the string literal `"-"`, indicating that results should be returned for all students that the requesting user has access to view. |
| `invitedEmailAddress` | string  | No       | —       | Filter results by the email address that the original invitation was sent to, resulting in this guardian link. This filter can only be used by domain administrators.                                                                                                                                                                                                               |
| `pageToken`           | string  | No       | —       | nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.                                                                                                                                                                     |
| `pageSize`            | integer | No       | —       | Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.                                                                                                                                                                                                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "Filter results by the student who the guardian is linked to. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user * the string literal `\"-\"`, indicating that results should be returned for all students that the requesting user has access to view."
      },
      "invitedEmailAddress": {
        "type": "string",
        "description": "Filter results by the email address that the original invitation was sent to, resulting in this guardian link. This filter can only be used by domain administrators."
      },
      "pageToken": {
        "type": "string",
        "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token."
      },
      "pageSize": {
        "type": "integer",
        "description": "Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results."
      }
    },
    "required": [
      "PCID",
      "studentId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_list\_invitations

Lists invitations. At least one of userId or courseId must be specified; calls with neither will fail.

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                                                                                                                   |
| ----------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `userId`    | string  | No       | —       | Restricts returned invitations to those for a specific user. The identifier can be one of the following: \* the numeric identifier for the user \* the email address of the user \* the string literal `"me"`, indicating the requesting user |
| `courseId`  | string  | No       | —       | Restricts returned invitations to those for a course with the specified identifier.                                                                                                                                                           |
| `pageSize`  | integer | No       | —       | Maximum number of items to return. The default is 500 if unspecified or `0`. The server may return fewer than the specified number of results.                                                                                                |
| `pageToken` | string  | No       | —       | nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "userId": {
        "type": "string",
        "description": "Restricts returned invitations to those for a specific user. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `\"me\"`, indicating the requesting user"
      },
      "courseId": {
        "type": "string",
        "description": "Restricts returned invitations to those for a course with the specified identifier."
      },
      "pageSize": {
        "type": "integer",
        "description": "Maximum number of items to return. The default is 500 if unspecified or `0`. The server may return fewer than the specified number of results."
      },
      "pageToken": {
        "type": "string",
        "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_list\_students

Returns a list of students of this course that the requester is permitted to view.

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                                                                                     |
| ----------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId`  | string  | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                          |
| `pageSize`  | integer | No       | —       | Maximum number of items to return. The default is 30 if unspecified or `0`. The server may return fewer than the specified number of results.                                                                   |
| `pageToken` | string  | No       | —       | nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "pageSize": {
        "type": "integer",
        "description": "Maximum number of items to return. The default is 30 if unspecified or `0`. The server may return fewer than the specified number of results."
      },
      "pageToken": {
        "type": "string",
        "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token."
      }
    },
    "required": [
      "PCID",
      "courseId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_list\_teachers

Returns a list of teachers of this course that the requester is permitted to view.

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                                                                                     |
| ----------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `courseId`  | string  | Yes      | —       | Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.                                                                                                          |
| `pageSize`  | integer | No       | —       | Maximum number of items to return. The default is 30 if unspecified or `0`. The server may return fewer than the specified number of results.                                                                   |
| `pageToken` | string  | No       | —       | nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "courseId": {
        "type": "string",
        "description": "Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias."
      },
      "pageSize": {
        "type": "integer",
        "description": "Maximum number of items to return. The default is 30 if unspecified or `0`. The server may return fewer than the specified number of results."
      },
      "pageToken": {
        "type": "string",
        "description": "nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token."
      }
    },
    "required": [
      "PCID",
      "courseId"
    ]
  }
  ```
</Expandable>

***

## google-classroom-people\_patch\_guardian\_invitation

Modifies a guardian invitation.

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                                         |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `studentId`    | string | Yes      | —       | The ID of the student whose guardian invitation is to be modified.                                                                                                                                                                                                                  |
| `invitationId` | string | Yes      | —       | The `id` field of the `GuardianInvitation` to be modified.                                                                                                                                                                                                                          |
| `updateMask`   | string | Yes      | —       | Mask that identifies which fields on the course to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields are valid: \* `state` When set in a query parameter, this field should be specified as `updateMask=,,...` |
| `state`        | string | Yes      | —       | The state that this invitation is in.                                                                                                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "studentId": {
        "type": "string",
        "description": "The ID of the student whose guardian invitation is to be modified."
      },
      "invitationId": {
        "type": "string",
        "description": "The `id` field of the `GuardianInvitation` to be modified."
      },
      "updateMask": {
        "type": "string",
        "description": "Mask that identifies which fields on the course to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields are valid: * `state` When set in a query parameter, this field should be specified as `updateMask=,,...`"
      },
      "state": {
        "type": "string",
        "description": "The state that this invitation is in.",
        "enum": [
          "GUARDIAN_INVITATION_STATE_UNSPECIFIED",
          "PENDING",
          "COMPLETE"
        ]
      }
    },
    "required": [
      "PCID",
      "studentId",
      "invitationId",
      "updateMask",
      "state"
    ]
  }
  ```
</Expandable>
